.TH "COBRA\-CLI" "1" "Mar 2022" "github.com/spf13/cobra-cli" "Cobra Manual"  ""
.nh
.ad l

.SH NAME
.PP
cobra\-cli \- A generator for Cobra-based Go Applications

.SH SYNOPSIS
.PP
\fBcobra\-cli\fP [\fIcommand\fP]

.SH DESCRIPTION
.PP
Cobra is a CLI library for Go that empowers applications.
This application is a tool to generate the needed files
to quickly create a Cobra application.

.SH AVAILABLE COMMANDS
.TP
.B add
Add a command to a Cobra Application
.TP
.B completion
Generate the autocompletion script for the specified shell
.TP
.B help
Help about any command
.TP
.B init
Initialize a Cobra Application

.SH OPTIONS
.TP
\fB\-a\fP, \fB\-\-author\fP \fIstring\fP
author name for copyright attribution (default \(lqYOUR NAME\(rq)
.TP
\fB\-\-config\fP \fIstring\fP
config file (default is $HOME/.cobra.yaml)
.TP
\fB\-h\fP, \fB\-\-help\fP
help for cobra\-cli
.TP
\fB\-l\fP, \fB\-\-license\fP \fIstring\fP
name of license for the project
.TP
\fB\-\-viper\fP
Use Viper for configuration

.SH SEE ALSO
.PP
\fBcobra\-cli\-add(1)\fP, \fBcobra\-cli\-init(1)\fP
